Get Phone Number
curl --request GET \
--url https://api.voxo.co/v2/admin/phone-numbers/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voxo.co/v2/admin/phone-numbers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voxo.co/v2/admin/phone-numbers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"number": "<string>",
"registeredCNAM": "<string>",
"tenant": {
"id": 123,
"name": "<string>"
},
"branch": {
"id": 123,
"name": "<string>"
},
"diCommentName": "<string>",
"recording": "<string>",
"fax": "<string>",
"faxEmail": "<string>",
"faxStore": 123,
"namePrefix": "<string>",
"unconditionalStatus": 123,
"emailRecording": "<string>",
"storeAndForwardNumber": "<string>",
"smsExt": {
"id": 123,
"name": "<string>"
},
"registeredSMS": 123,
"routingDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"forwardingDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"smsDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Phone Numbers
Get Phone Number
Get a phone number by ID with destinations
GET
/
v2
/
admin
/
phone-numbers
/
{id}
Get Phone Number
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Phone number ID
Pattern:
^[1-9]\d*$Response
Phone number details
Phone number ID
Phone number
Registered caller ID name
Parent tenant
Show child attributes
Show child attributes
Assigned branch
Show child attributes
Show child attributes
Comment/description
Recording mode
Fax mode
Fax email
Fax store enabled (1/0)
Caller ID name prefix
Unconditional forwarding (1/0)
Recording email address
Store and forward number
SMS-assigned extension
Show child attributes
Show child attributes
Whether SMS is provisioned (1/0)
Routing destinations
Show child attributes
Show child attributes
Forwarding destinations
Show child attributes
Show child attributes
SMS destinations
Show child attributes
Show child attributes
Was this page helpful?